      **************************************************************************
      *
      * Copyright (C) Micro Focus 2015-2016.
      * All rights reserved.
      *
      * This sample code is supplied for demonstration purposes only
      * on an "as is" basis and is for use at your own risk.
      *
      **************************************************************************
       class-id MicroFocus.COBOL.Examples.Support.Address public.
       01 address-line-1                       string property with no set as "Address1".
       01 city                                 string property with no set as "City".
       01 state                                string property with no set as "State".
       01 postal-code                          string property with no set as "PostalCode". 
       
       method-id New (address1 as string argCity as string argState as string argPostCode as string). 
           set address-line-1 to address1::TrimSpaces
           set city to argCity::TrimSpaces
           set state to argState::TrimSpaces
           set postal-code to argPostCode::TrimSpaces
       end method. 
       
       method-id ShortValue returning result as string. 
           set result to address-line-1 & " " &  Postal-Code
       end method. 
      $if JVMGEN set 
       method-id hashCode() returning hashValue as binary-long override.
           set hashValue to CalculateHashValue()
       end method.  
       
       method-id equals (o as object) returning result as condition-value override.  
           set result to CompareEqual(o)
       end method. 
       
       method-id toString() returning result as string override.
           set result to address-line-1 & "/" & city & "/" & state & "/" & postal-code
       end method. 
      $else
       method-id GetHashCode() returning hashValue as binary-long override.
           set hashValue to CalculateHashValue()
       end method.
       
       method-id Equals(o as object) returning result as condition-value override. 
           set result to CompareEqual(o)
       end method.
       
       method-id ToString()  returning result as string override.
           set result to address-line-1 & "/" & city & "/" & state & "/" & postal-code
       end method. 

      $end
       
       method-id CompareEqual(o as object) returning result as condition-value.
           if o not instance of type Address
               set result to false
           else
               declare a = o as type Address
               set result to address-line-1::ToUpper() = a::Address1::ToUpper() 
                          and postal-code::ToUpper() = a::PostalCode::ToUpper()
           end-if
       end method. 
       
       method-id CalculateHashValue() returning hashValue as binary-long.
      $if JVMGEN set 
           set hashValue = self::Address1::ToUpper()::hashCode() * 4096 + self::PostalCode::ToUpper()::hashCode() 
      $else
           set hashValue = self::Address1::ToUpper()::GetHashCode() * 4096 + self::PostalCode::ToUpper()::GetHashCode() 
      $end
       end method.
       
       end class.
