      **************************************************************************
      *
      * Copyright (C) Micro Focus 2015-2016.
      * All rights reserved.
      *
      * This sample code is supplied for demonstration purposes only
      * on an "as is" basis and is for use at your own risk.
      *
      **************************************************************************
       class-id MicroFocus.COBOL.Examples.Lettings.Person  abstract
                inherits type AbstractUpdateable.
       01 #Name                string property with no set. 
       01 Email                type Email property with no set.  
       01 #Address             type Address property.  
       
       method-id New(argName as string, argEmail as string) . 
           set email to new Email(argEmail)
           set #name to argName::TrimSpaces()
           invoke self::OnNew()
       end method. 
       
       method-id GetDisplayValue returning result as string override. 
           set result to #name & " | " & email
       end method. 

       method-id OnNew() abstract protected.
       end method.       
       
       end class.
