      **************************************************************************
      *
      * Copyright (C) Micro Focus 2015-2016.
      * All rights reserved.
      *
      * This sample code is supplied for demonstration purposes only
      * on an "as is" basis and is for use at your own risk.
      *
      **************************************************************************
       class-id AgencyControls.AddressFields is partial
                 inherits type System.Windows.Forms.UserControl.

       working-storage section.

       method-id NEW.
       procedure division.
           invoke self::InitializeComponent()
           goback.
       end method.
       
       method-id EnableEditing(enabled as condition-value).
           set self::addressLineBox::Enabled to enabled
           set self::cityBox::Enabled to enabled
           set self::stateBox::Enabled to enabled
           set self::postalCodeBox::Enabled to enabled
       end method.
       
       property-id #Address type Address. 
           getter.
               set property-value to new Address(self::addressLineBox::Text,
                                                 self::cityBox::Text,
                                                 self::stateBox::Text,
                                                 self::postalCodeBox::Text)
           setter.
               set self::addressLineBox::Text to property-value::Address1
               set self::cityBox::Text to property-value::City
               set self::stateBox::Text to property-value::State
               set self::postalCodeBox::Text to property-value::PostalCode

       end property. 
       
       property-id AddressLine1 string.
           setter.
               set self::addressLineBox::Text to property-value::Trim()
           getter.
               set property-value to self::addressLineBox::Text::Trim()
       end property. 
       
       property-id City string.
           setter.
               set self::cityBox::Text to property-value::Trim()
           getter.
               set property-value to self::cityBox::Text::Trim()
       end property. 

       property-id State string.
           setter.
               set self::stateBox::Text to property-value::Trim()
           getter.
               set property-value to self::stateBox::Text::Trim()
       end property. 

       property-id PostalCode string.
           setter.
               set self::postalCodeBox::Text to property-value::Trim()
           getter.
               set property-value to self::postalCodeBox::Text::Trim()
       end property. 

       end class.
