////////////////////////////////////////////////////////////////////////////
///
/// Copyright(C) Micro Focus 2015-2016.
/// All rights reserved.
///
/// This sample code is supplied for demonstration purposes only
/// on an "as is" basis and is for use at your own risk.
///
////////////////////////////////////////////////////////////////////////////
package com.microfocus.javaleases.components;

import javax.swing.JPanel;
import javax.swing.GroupLayout;
import javax.swing.GroupLayout.Alignment;
import javax.swing.JLabel;
import javax.swing.JTextField;
import javax.swing.SwingConstants;
import java.awt.Component;

public class PersonFields extends JPanel
{

	/**
	 * 
	 */
	private static final long serialVersionUID = -2042746744572749173L;
	private JTextField nameField;
	private JTextField emailField;

	/**
	 * Create the panel.
	 */
	public PersonFields()
	{
		
		JLabel lblNewLabel = new JLabel("Name");
		
		JLabel lblEmail = new JLabel("Email");
		
		nameField = new JTextField();
		nameField.setColumns(10);
		
		emailField = new JTextField();
		emailField.setColumns(10);
		GroupLayout groupLayout = new GroupLayout(this);
		groupLayout.setHorizontalGroup(
			groupLayout.createParallelGroup(Alignment.LEADING)
				.addGroup(groupLayout.createSequentialGroup()
					.addContainerGap()
					.addGroup(groupLayout.createParallelGroup(Alignment.LEADING)
						.addComponent(lblNewLabel)
						.addComponent(lblEmail))
					.addGap(18)
					.addGroup(groupLayout.createParallelGroup(Alignment.LEADING)
						.addComponent(nameField, GroupLayout.PREFERRED_SIZE, 229, GroupLayout.PREFERRED_SIZE)
						.addComponent(emailField, GroupLayout.DEFAULT_SIZE, 229, Short.MAX_VALUE))
					.addContainerGap(166, Short.MAX_VALUE))
		);
		groupLayout.setVerticalGroup(
			groupLayout.createParallelGroup(Alignment.LEADING)
				.addGroup(groupLayout.createSequentialGroup()
					.addGap(21)
					.addGroup(groupLayout.createParallelGroup(Alignment.BASELINE)
						.addComponent(lblNewLabel)
						.addComponent(nameField, GroupLayout.PREFERRED_SIZE, GroupLayout.DEFAULT_SIZE, GroupLayout.PREFERRED_SIZE))
					.addGap(18)
					.addGroup(groupLayout.createParallelGroup(Alignment.BASELINE)
						.addComponent(lblEmail)
						.addComponent(emailField, GroupLayout.PREFERRED_SIZE, GroupLayout.DEFAULT_SIZE, GroupLayout.PREFERRED_SIZE))
					.addContainerGap(16, Short.MAX_VALUE))
		);
		groupLayout.linkSize(SwingConstants.HORIZONTAL, new Component[] {nameField, emailField});
		setLayout(groupLayout);

	}
	
	public String getPersonName()
	{
		return nameField.getText();
	}
	
	public void setPersonName(String name)
	{
		nameField.setText(name);
	}
	
	public String getEmail()
	{
		return emailField.getText(); 
	}
	
	public void setEmail(String email)
	{
		emailField.setText(email);
	}
	

}
