      **************************************************************************
      *
      * Copyright (C) Micro Focus 2015-2016.
      * All rights reserved.
      *
      * This sample code is supplied for demonstration purposes only
      * on an "as is" basis and is for use at your own risk.
      *
      **************************************************************************
       interface-id MicroFocus.COBOL.Examples.Support.IDate
                    implements
      $if JVMGEN set
                   type Comparable
      $else
                   type IComparable
      $end
       .
       
       01 theYear             binary-long property with no set as "Year". 
       01 theMonth            binary-long property with no set as "Month".
       01 theDay              binary-long property with no set as "Day". 
       
      *>
      *> Return the number of days between two dates 
      *>
       method-id Subtract (dt as type IDate) returning result as binary-long. 
       end method.
       
      *>
      *> Return a new date object that is the date of this object moved forward 
      *> by the number of days passed in. 
      *>
       method-id Add (days as binary-long) returning result as type IDate. 
       end method. 
       
      *>
      *> Return the day of week of the current date. 
      *>
       method-id. GetDayOfWeek() returning result as string. 
       end method. 
       
       method-id. GetFormattedDate() returning result as string. 
       end method. 
       
       method-id Compare(o as object) returning result as binary-long.
       end method.
       
       
       end interface.

