      **************************************************************************
      *
      * Copyright (C) Micro Focus 2015-2016.
      * All rights reserved.
      *
      * This sample code is supplied for demonstration purposes only
      * on an "as is" basis and is for use at your own risk.
      *
      **************************************************************************
       class-id WindowsLeases.TenantView is partial
                 inherits type System.Windows.Forms.Form.

       working-storage section.
       01 tenant                   type Tenant. 
       01 lease                    type Lease. 
       method-id NEW (tenant as type Tenant). 
       procedure division.
           invoke self::InitializeComponent()
           set self::tenant to tenant
           set self::lease to tenant::Lease
           goback.
       end method.
       
       method-id OnShown(e as type EventArgs) override.
           set personFields::Email to tenant::Email::Address
           set personFields::PersonName to tenant::Name
           if lease <> null
               set startDate::Text to lease::Start::ToString()   
               set endDate::Text to lease::End::ToString()
               set propertyAddressBox::Text to lease::Property::Address::ToString() 
               set cancelLeaseBtn::Enabled to true
           else
               set cancelLeaseBtn::Enabled to false
           end-if
       end method.

       method-id cancelLeaseBtn_Click (sender as object e as type System.EventArgs) final private.
           if lease <> null    
               invoke lease::Cancel()
               set propertyAddressBox::Text to type String::Empty
               set startDate::Text to type String::Empty
               set endDate::Text to type String::Empty
           end-if
       end method.

       end class.
